#############
# Equipment #
#############

execute if entity @s[type=#valiance:can_have_tainted_armor,type=!wither_skeleton,tag=!lead.entity] if score #valiance.temp.is_baby valiance.dummy matches 0 if predicate valiance:random_chance/20 run function valiance:entity/technical/register/equipment/tainted_armor/start
execute if entity @s[type=wither_skeleton,tag=!lead.entity] if predicate valiance:random_chance/10 run function valiance:entity/technical/register/equipment/tainted_armor/wither_skeleton

########
# Edit #
########

execute if entity @s[type=#valiance:spiders,tag=!lead.entity] run function valiance:entity/technical/register/spider/challenger_mode

execute if predicate valiance:random_chance/20 if predicate valiance:weather_check/rain if entity @s[type=minecraft:zombie,tag=!lead.entity] if predicate valiance:location_check/altitude/60_and_higher run function valiance:entity/technical/register/drowned/land_drowned

execute if predicate valiance:random_chance/30 if predicate valiance:weather_check/thundering if entity @s[type=minecraft:creeper,tag=!lead.entity] if predicate valiance:location_check/altitude/60_and_higher run data modify entity @s powered set value 1

execute if entity @s[type=#valiance:has_challenger_idol_effects] if predicate valiance:random_chance/30 run function valiance:entity/technical/register/effects/challenger_idol

######################
# One-Off Attributes #
######################

execute if entity @s[type=minecraft:enderman] run attribute @s minecraft:generic.movement_speed base set 0.35

#############
# New Mobs? #
#############

execute if predicate valiance:random_chance/1 if predicate valiance:location_check/altitude/60_and_higher if predicate valiance:location_check/can_see_sky unless entity @n[tag=valiance.entity.brute_knight,distance=..200] run function valiance:entity/technical/register/brute_knight/start